import { Dict_Apis } from "@/dict/apis";
import { initAuthDef } from "@/modules/_default/auth";
import { initMatch } from "@/modules/match";
import { initQueditor } from "@queenjs-modules/queditor";
import { initExpViewer } from "@queenjs-modules/queentree-explorer-viewer";
import { ModuleRoot } from "queenjs";
import "../storage";

export class MatchCtxModule extends ModuleRoot {
  store = {};
  onReady() {
    const auth = initAuthDef();
    auth.actions.on("getUserInfo:success", () => {
      //
    });

    initExpViewer({
      modules: {
        queditor: initQueditor({
          config: {
            dragEnable: true,
          },
        }),
      },
    });

    initMatch({
      config: {
        httpConfig: {
          baseURL: Dict_Apis.match,
        },
      },
    });
  }
}

export const { initMatchCtx, useMatchCtx } = MatchCtxModule.hook("MatchCtx");
