import { initExpViewer } from "@queenjs-modules/queentree-explorer-viewer";
import { PageListController, UploadController } from "@queenjs/controllers";
import { ModuleRoot } from "queenjs";
import { matchAction } from "./module/actions/match";
import { designAction } from "./module/actions/design";
import { initAction } from "./module/actions/init";
import { helper } from "./module/helper";
import { https } from "./module/http";
import { designStore } from "./module/stores/design";

export class MatchModule extends ModuleRoot {
  config = this.setConfig({});
  https = this.createHttps([https]);
  store = this.createStore(designStore);
  helper = this.createHelper(helper);
  actions = this.createActions([initAction, matchAction, designAction]);

  controls = {
    listCtrl: new PageListController(this.config?.httpConfig),
    uploader: new UploadController({
      httpConfig: {
        baseURL: "https://www.infish.cn/tree/v1/assetcenter",
      },
      dir: "queentree",
    }),
  };
  // modules = this.useModules({
  //   expViewer: initExpViewer,
  // });

  onReady() {
    this.controls.listCtrl.setCrudPrefix("/match/style");
  }
}

export const { initMatch, useMatch } = MatchModule.hook("Match");
